package com.wecloud.netty.dispatch.general.impl;

import com.wecloud.netty.dispatch.ActionContext;
import com.wecloud.netty.dispatch.common.ApplyInfo;
import com.wecloud.netty.dispatch.extend.ActionInterceptor;
import com.wecloud.netty.dispatch.extend.ActionRequest;
import com.wecloud.netty.dispatch.extend.ArgumentBox;

/**
 * @author lixiaozhong
 */
public class GeneralActionInterceptor implements ActionInterceptor {

	@Override
	public ApplyInfo previous(ActionContext actionContext, ActionRequest request, ArgumentBox argumentBox) {
		ApplyInfo applyInfo = new ApplyInfo();
		applyInfo.setApprove(true);
		return applyInfo;
	}


}
